/*
 * CreateNodesBalancevelocity.c:
 */

#include "../../../toolkits/toolkits.h"
#include "../../../classes/classes.h"
#include "../../../shared/shared.h"
#include "../../MeshPartitionx/MeshPartitionx.h"
#include "../ModelProcessorx.h"

void	CreateNodesBalancevelocity(Nodes** pnodes, IoModel* iomodel){

	/*Check in 3d*/
	if(iomodel->dim==3) _error_("DG 3d not implemented yet");

	/*First fetch data: */
	iomodel->FetchData(3,MeshVertexonbedEnum,MeshVertexonsurfaceEnum,FlowequationVertexEquationEnum);
	CreateNodes(pnodes,iomodel,BalancevelocityAnalysisEnum,P1Enum);
	iomodel->DeleteData(3,MeshVertexonbedEnum,MeshVertexonsurfaceEnum,FlowequationVertexEquationEnum);
}
